xampp 1.8.0 नवीनीकरण के बाद phpmyadmin ठीक करें

कुछ दिन पहले बाहर आया xampp 1.8.0 संस्करण से नवीनीकरण करने के बाद 1.7.7 मैं एक बहुत ही दिलचस्प समस्या थी. Phpmyadmin-नहीं मेरी खोलने और izg″rmâvaše के साथ 403

पहुँच निषिद्ध!


नई XAMPP सुरक्षा अवधारणा:

अनुरोधित ऑब्जेक्ट के लिए पहुँच केवल स्थानीय नेटवर्क से उपलब्ध है.

इस सेटिंग को फ़ाइल में कॉन्फ़िगर किया जा कर सकते हैं “httpd-xampp.conf”.

अब मैं httpd conf xampp खोला जो मुझे... / ऑप्ट/lampp/आदि/अतिरिक्त में स्थित है /, पहली नज़र में, सब कुछ ठीक लग रहा था. स्थानीय नेटवर्क के लिए नियम ठीक थे. इसके अलावा मैं स्थानीय होस्ट खोल होता. WTF ??? मैं पर लॉग देखा और मेरी पहुँच konfiguaciâta द्वारा काट रहा है कि देखने. यहाँ बातें पहले से ही मुझे और सच कहूँ तो किस्मत का एक छोटा सा की तरह मैं समस्या पाया ahnaha. След като преглеждах httpd.conf-а видях в Allow/Deny клаузите един последен ред सभी की आवश्यकता दी. ओह यूरेका के लिए. यह नया नियंत्रण तंत्र है जो में प्रवेश किया है अपाचे 2.4. x. यह पहुँच या इस तरह से मना कर देता है सब ठीक, मूल रूप से अनुमति दें/इंकार कार्यक्षमता नक़ल :). За да поправим проблема добавяме Require all granted в директивите за папката /opt/lampp/phpmyadmin. मुझ में परिवर्तन के बाद इस तरह दिखता है

<निर्देशिका “/ऑप्ट/lampp/phpmyadmin”>
AllowOverride AuthConfig सीमा
आदेश की अनुमति दें,इनकार
सब से अनुमति दें
सभी की आवश्यकता दी
</निर्देशिका>

 

तुम हमेशा एक और divoti की कोशिश कर सकते हैं, फ़ोल्डर phpmyadmin कुछ अन्य का नाम और उपनाम के लिए नहीं करने के लिए उदाहरण के लिए,. लेकिन यह बदसूरत और बहुत सार्थक नहीं 🙂 है

पी. एस पूछा मुझे क्यों मैं XAMPP का उपयोग करें और सभी घटक की स्थापना के रूप में यह मेरी डेबियन है साफ नहीं पैदा हुआ था – отговорът е много много простМЪРЗЕЛ. Мързи ме да напиша няколко команди после да си пипна конфовете и прочие. Доста по лесно е сваляш целия пакет разархивираш и палиш 😉

Zemanta द्वारा बढ़ाया

उत्तर छोड़ दें

आपका ईमेल पता प्रकाशित नहीं किया जाएगा. अपेक्षित स्थानों को रेखांकित कर दिया गया है *

विरोधी स्पैम *